﻿using CoreModels.ModelsSecurity;
using ModuleTools.Interfaces;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
    [DataContract]
	public class EnviromentSetting : BaseEntity, IEntitySecurityExtenstion<EnviromentSetting>, IEnviromentSettingModel
	{
		[DataMember]
		[Required]
		public string Key { get; set; }

		[DataMember]
		[Required]
		public string Value { get; set; }

		[DataMember]
		public string Description { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		public EnviromentSetting SecurityCheck(EnviromentSetting entity, bool allowFullData)
		{
			if (!allowFullData)
			{
				entity.Value = "скрыто";
			}
			return entity;
		}

		public override string ToString() => Key;
	}
}