﻿using ModuleTools.Attributes;
using System;

namespace ModuleTools.ViewModels
{
	/// <summary>
	/// Возвращаемая запись
	/// </summary>
	public class ElementViewModel
	{
		[ViewModelControlListProperty("Идентификатор", IsHide = true)]
		[MapConfiguration("Id")]
		public Guid Id { get; set; }

		[MapConfiguration("ToString")]
		public string ElementViewString { get; set; }

		public override string ToString() => ElementViewString;
	}
}