﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с часами нагрузок записей учебных планов
	/// </summary>
	public class AcademicPlanRecordTimeNormHourBusinessLogic : GenericBusinessLogic<AcademicPlanRecordTimeNormHourGetBindingModel, AcademicPlanRecordTimeNormHourSetBindingModel, AcademicPlanRecordTimeNormHourListViewModel, AcademicPlanRecordTimeNormHourViewModel>
	{
		public AcademicPlanRecordTimeNormHourBusinessLogic(IAcademicPlanRecordTimeNormHourService service) : base(service, "Часы Нагрузок Записей Учебных Планов", AccessOperation.УчебныеПланы) { }
	}
}