﻿using DepartmentBusinessLogic.BindingModels;
using ModuleTools.Interfaces;
using ModuleTools.Models;

namespace DepartmentBusinessLogic.Interfaces
{
	/// <summary>
	/// Хранение учебных планов
	/// </summary>
	public interface IAcademicPlanService : IGenerticEntityService<AcademicPlanGetBindingModel, AcademicPlanSetBindingModel> 
	{
		/// <summary>
		/// Загрузка учебного плана
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		public OperationResultModel LoadPlx(AcademicPlanLoadPlxModel model);
	}
}