﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Enums;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using ModuleTools.Enums;
using System;
using System.Collections.Generic;

namespace DepartmentWindowsDesktop.EntityControls
{
	public partial class ControlAcademicPlanRecordTimeNormHourList :
		GenericControlEntityList<AcademicPlanRecordTimeNormHourGetBindingModel, AcademicPlanRecordTimeNormHourSetBindingModel, AcademicPlanRecordTimeNormHourListViewModel, AcademicPlanRecordTimeNormHourViewModel, AcademicPlanRecordTimeNormHourBusinessLogic>,
		IGenericControlEntityList
	{
		public ControlAcademicPlanRecordTimeNormHourList()
		{
			InitializeComponent();
			Title = "Часы нагрузок записи учебного плана";
			ControlId = new Guid("c23a7c9c-af28-4d59-b378-50f59678a7f7");
			AccessOperation = AccessOperation.УчебныеПланы;
			ControlViewEntityElement = new ControlAcademicPlanRecordTimeNormHourElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAcademicPlanRecordTimeNormHourList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}