﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для должности
	/// </summary>
	public partial class ControlPostElement :
		GenericControlEntityElement<PostGetBindingModel, PostSetBindingModel, PostListViewModel, PostViewModel, PostBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlPostElement()
		{
			InitializeComponent();
			Title = "Должность";
			ControlId = new Guid("25700525-7765-46c3-bbbf-a842f31bd898");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlPostElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}