﻿using CoreModels.ModelsSecurity;
using ModuleTools.Interfaces;
using System;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
    [DataContract]
    public class UserRole : BaseEntity, IEntitySecurityExtenstion<UserRole>, IUserRoleModel
    {
        [DataMember]
        public Guid RoleId { get; set; }

        [DataMember]
        public Guid UserId { get; set; }

        //-------------------------------------------------------------------------

        public virtual Role Role { get; set; }

        public virtual User User { get; set; }

        //-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

        public UserRole SecurityCheck(UserRole entity, bool allowFullData) => entity;

        public override string ToString() => $"{Role.RoleName}-{User.UserName}";
    }
}