﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение истории синхронизации приказов
	/// </summary>
	public class OrderSyncHistoryGetBindingModel : GetBindingModel
	{
	}

	/// <summary>
	/// Сохранение истории синхронизации приказов
	/// </summary>
	public class OrderSyncHistorySetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("SyncDate")]
		public DateTime SyncDate { get; set; }
	}
}